/*
 * Copyright (C) The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package kingsmentorwrapper;

import anywheresoftware.b4a.AbsObjectWrapper;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.Pixel;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.BA.DependsOn;
import anywheresoftware.b4a.keywords.Common.DesignerCustomView;
import anywheresoftware.b4a.objects.LabelWrapper;
import anywheresoftware.b4a.objects.PanelWrapper;
import anywheresoftware.b4a.objects.ViewWrapper;
import anywheresoftware.b4a.BA.ActivityObject;
import anywheresoftware.b4a.BA.Events;
import anywheresoftware.b4a.IOnActivityResult;
import anywheresoftware.b4a.BA.Permissions;

import android.content.Intent;
import android.os.Bundle;
import android.app.Activity;
import android.util.Log;
import android.view.View;
import android.widget.CompoundButton;
import android.widget.TextView;
import android.graphics.Color;


//import android.widget.RelativeLayout;
//import android.text.SpannableStringBuilder;
//import android.text.style.RelativeSizeSpan;
//import android.text.style.StyleSpan;
//import android.widget.Toast;



import xyz.belvi.mobilevisionbarcodesample.MainActivity;

@ActivityObject
@ShortName("KingsMentor")
@Events(values={"scan_result(data As Object, closeby As String)"})
@Author("Github: KingsMentor, Wrapped by: Johan Schoeman")
@Version(1.02f)
@DependsOn(values={"com.android.support:support-v4", "com.android.support:appcompat-v7", "com.google.android.gms:play-services-vision", "com.android.support:design"})
//@Permissions(values={"android.permission.CAMERA","android.permission.WRITE_EXTERNAL_STORAGE","android.hardware.camera","android.hardware.camera.autofocus","android.permission.VIBRATE","android.permission.FLASHLIGHT"})

public class kingsmentorWrapper extends AbsObjectWrapper<MainActivity> {
	
	@Hide
	public static BA ba;
	private String eventName;

	private static MainActivity cv;


    // use a compound button so either checkbox or switch widgets work.
	
	private IOnActivityResult ion;
	

	Intent izx;
	
	public void Initialize(BA paramBA, String paramString) {
	    eventName = paramString.toLowerCase(BA.cul);
	    ba = paramBA;

	    MainActivity cv = new MainActivity();
	    String str = paramString.toLowerCase(BA.cul);
	
	    setObject(cv);
		izx=new Intent(BA.applicationContext, MainActivity.class);	
		
	}	

     public void BeginScan() {

		ion=new IOnActivityResult() {
			
			@Override
			public void ResultArrived(int arg0, Intent data) {
				
				BA.Log("Result Arrived");
				
					if (ba.subExists(eventName + "_scan_result")) {
						ba.raiseEventFromDifferentThread(this, null, 0, eventName + "_scan_result", true, new Object[]{cv.list, cv.closeToClick});
					}	
					
			}
		};
		ba.startActivityForResult(ion, izx);
	}
	
	@Hide
	public static float barcodeTextSize = 30.0f;
	public void setBarcodeTextSize(float barcodeTextSize) {
		this.barcodeTextSize = barcodeTextSize;
		
	}
	

	@Hide
	public static float barcodeRectangleStrokeWidth = 7.0f;
	public void setBarcodeRectangleStrokeWidth(float barcodeRectangleStrokeWidth) {
		this.barcodeRectangleStrokeWidth = barcodeRectangleStrokeWidth;
		
	}	
	
		 
 
}
